# eric7.Plugins.VcsPlugins.vcsMercurial.HgSummaryDialog

Module implementing a dialog to show some summary information of the working directory state.

### Global Attributes

None

### Classes

HgSummaryDialog | Class implementing a dialog to show some summary information of the working directory state.

### Functions

None

## HgSummaryDialog

Class implementing a dialog to show some summary information of the working directory state.

### Derived from

QDialog, Ui_HgSummaryDialog

### Class Attributes

None

### Class Methods

None

### Methods

HgSummaryDialog | Constructor
__committed | Private slot called after the commit has finished.
__processOutput | Private method to process the output into nice readable text.
__showError | Private slot to show some error.
on_buttonBox_clicked | Private slot called by a button of the button box clicked.
on_refreshButton_clicked | Private slot to refresh the status display.
start | Public slot to start the hg summary command.

### Static Methods

None

#### HgSummaryDialog (Constructor)

HgSummaryDialog(vcs, parent=None)

Constructor

vcs
  reference to the vcs object
parent
  parent widget (QWidget)

#### HgSummaryDialog.__committed

__committed()

Private slot called after the commit has finished.

#### HgSummaryDialog.__processOutput

__processOutput(output)

Private method to process the output into nice readable text.

output
  output from the summary command (string)

#### HgSummaryDialog.__showError

__showError(out)

Private slot to show some error.

out
  error to be shown (string)

#### HgSummaryDialog.on_buttonBox_clicked

on_buttonBox_clicked(button)

Private slot called by a button of the button box clicked.

button
  button that was clicked (QAbstractButton)

#### HgSummaryDialog.on_refreshButton_clicked

on_refreshButton_clicked()

Private slot to refresh the status display.

#### HgSummaryDialog.start

start(mq=False, largefiles=False)

Public slot to start the hg summary command.

mq
  flag indicating to show the queue status as well (boolean)
largefiles
  flag indicating to show the largefiles status as well (boolean)

Up